<!-- 
    proposito: Crear la vista del componente para mostrar formulario de crear/editar cliente
    Autor: Luisa.sanchez
 -->
<div class="container-fluid h-100 w-100">
    <div class="row">
        <!-- Inicio: cabecera del contenedor -->
        <div class="col-12 bg-sections border-sections pt-3 pb-3 mb-3">
            <div class="row">
                <!-- Inicio: guia de ruta -->
                <div class="col-11">
                    <span class="h3 text-menu header-weight pl-2">Grupos > Grupo {{id}}</span>
                </div>
                <!-- Fin: guia de ruta -->
                <!-- Inicio: boton de regreso -->
                <div class="col-1">
                    <button class="w-100 standar-button pt-2 pb-2" [routerLink]="['/groups/']"> <i class="fa fa-arrow-left standar-icon-button"></i></button>
                </div>
                <!-- Inicio: boton de regreso -->
            </div>
        </div>
        <!-- Fin: cabecera del contenedor -->
        <div class="col-12 bg-sections border-sections w-100 p-5">
            <!-- Inicio: formulario de crear cliente -->
            <form #grupoInputForm="ngForm" class="form" role=form [formGroup]="grupoForm">
                <div class="row">
                    <!-- Inicio: botones de accion de formulario -->
                    <div class="col-12">
                        <div class="d-flex flex-row-reverse">

                            <div class=" col-2"><button type="button" class="btn w-100 standar-table-button" data-toggle="tooltip" data-placement="bottom" title="Ver miembros" (click)='verMiembros()'><i class="fa fa-info-circle h2" aria-hidden="true"></i></button></div>
                        </div>
                    </div>
                    <!-- Fin: botones de accion de formulario -->
                    <!-- Inicio: titulo de seccion -->
                    <div class="col-3">
                        <span class="h3 text-menu">Información básica</span>
                    </div>
                    <!-- Fin: titulo de seccion -->
                    <!-- Inicio: campos de formulario -->
                    <div class="col-9 pt-5 pb-5">
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-3 pt-1">
                                            <label>Id grupo:</label>
                                        </div>
                                        <div class="col-5">
                                            <input type="text" class="form-control" formControlName="campoId">
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="col-12">
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-3 pt-1">
                                            <label>Nombre de grupo:</label>
                                        </div>
                                        <div class="col-9">
                                            <input type="text" class="form-control" formControlName="campoNombre">
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    <!-- Fin: campos de formulario -->
                </div>
            </form>
            <!-- Fin: formulario de crear cliente -->
        </div>
    </div>
</div>